---
lang: en
title: 'API docs: context.resolutionerror'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolutionerror.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ResolutionError](./context.resolutionerror.md)

## ResolutionError class

Error for context binding resolutions and dependency injections

**Signature:**

```typescript
export declare class ResolutionError extends Error 
```
**Extends:** Error

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(message, resolutionCtx)](./context.resolutionerror._constructor_.md) |  | Constructs a new instance of the <code>ResolutionError</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [resolutionCtx](./context.resolutionerror.resolutionctx.md) | <code>readonly</code> | Partial&lt;[ResolutionContext](./context.resolutioncontext.md)<!-- -->&gt; |  |


